package net.cannonade.CodeLabAfter;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;

public class CodeLabRoot extends ListActivity {
	
	ArrayAdapter<String> mAdapter;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
    	
    	String[] countries = getResources().getStringArray(R.array.countries_array);
    	mAdapter = new ArrayAdapter<String>(this, R.layout.list_item, countries);
    	setListAdapter(mAdapter);

    	  ListView lv = getListView();
    	  lv.setTextFilterEnabled(true);

    	  lv.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> arg0, View view, int pos,
					long arg3) {
				
		
	    	    Intent myIntent = new Intent();
				String thisPackage = this.getClass().getPackage().getName();
    	    	myIntent.setClassName(thisPackage, thisPackage + (pos % 2 == 0 ? ".CodeLabWebDetail" : ".CodeLabDetail"));
    	    	myIntent.putExtra("net.cannonade.name", mAdapter.getItem(pos));
    	    	startActivityForResult(myIntent, 1); 

			}
    	  });
    }
}
